Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058194 - Mass storage device disconnects when not actively used [NEEDINFO]
Summary: Mass storage device disconnects when not actively used
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 08:19 UTC by Mildred
Modified: 2014-12-10 14:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 14:59:30 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Mildred 2014-01-27 08:19:32 UTC
Description of problem:

I have a USB mass storage device (a Polaroid XS100 HD camera, 4255:1000) that cannot stay very long connected through USB. Within seconds of being connected, it disconnects itself. I suppose that's not a problem with the device itself because it works well on Mac OS X.

Version-Release number of selected component (if applicable): kernel-3.12.6-300.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. Plug in the device
2. It connects

Actual results:
seconds later, it disconnects

Expected results:
it should stay connected

Additional info:
https://ask.fedoraproject.org/en/question/40039/mass-storage-device-disconnects-when-not-actively-used/

system logs when connecting:

Jan 26 23:43:32 moiraine kernel: usb 3-1: new high-speed USB device number 34 using xhci_hcd
Jan 26 23:43:32 moiraine kernel: usb 3-1: New USB device found, idVendor=4255, idProduct=1000
Jan 26 23:43:32 moiraine mtp-probe[7825]: checking bus 3, device 34: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-1"
Jan 26 23:43:32 moiraine mtp-probe[7825]: bus: 3, device: 34 was not an MTP device
Jan 26 23:43:32 moiraine kernel: usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jan 26 23:43:32 moiraine kernel: usb 3-1: Product: Storage
Jan 26 23:43:32 moiraine kernel: usb 3-1: Manufacturer: Ambarella
Jan 26 23:43:32 moiraine kernel: usb 3-1: SerialNumber: 123456789ABC
Jan 26 23:43:32 moiraine kernel: usb-storage 3-1:1.0: USB Mass Storage device detected
Jan 26 23:43:32 moiraine kernel: scsi34 : usb-storage 3-1:1.0
Jan 26 23:43:33 moiraine kernel: scsi 34:0:0:0: Direct-Access     AMBA     Storage          v1.0 PQ: 0 ANSI: 0
Jan 26 23:43:33 moiraine kernel: sd 34:0:0:0: Attached scsi generic sg3 type 0
Jan 26 23:43:33 moiraine kernel: sd 34:0:0:0: [sdc] 61831168 512-byte logical blocks: (31.6 GB/29.4 GiB)
Jan 26 23:43:33 moiraine kernel: sd 34:0:0:0: [sdc] Write Protect is off
Jan 26 23:43:33 moiraine kernel: sd 34:0:0:0: [sdc] Mode Sense: 8f 00 00 08
Jan 26 23:43:33 moiraine kernel: sd 34:0:0:0: [sdc] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
Jan 26 23:43:33 moiraine kernel:  sdc: sdc1
Jan 26 23:43:33 moiraine kernel: sd 34:0:0:0: [sdc] Attached SCSI removable disk
Jan 26 23:43:34 moiraine kernel: FAT-fs (sdc1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
Jan 26 23:43:34 moiraine kernel: SELinux: initialized (dev sdc1, type vfat), uses genfs_contexts
Jan 26 23:43:34 moiraine udisksd[1845]: Mounted /dev/sdc1 at /run/media/mildred/9016-4EF8 on behalf of uid 1000

system logs a few seconds later

Jan 26 23:43:41 moiraine kernel: usb 3-1: USB disconnect, device number 34
Jan 26 23:43:42 moiraine udisksd[1845]: Cleaning up mount point /run/media/mildred/9016-4EF8 (device 8:33 no longer exist)

The device stays connected 10 seconds because shotwell is scanning the device for photos and videos. If shotwell is not running doing this job, the device disconnect before that. If I manage to click the Import All button on shotwell, the device can stay connected longer.

Note, the device autosuspend is not enabled :

[root@moiraine]/home/mildred# cat /sys/bus/usb/devices/3-1/power/control
on

Comment 1 Mildred 2014-01-28 22:27:23 UTC
A workaround this problem would be the following shell script

    while sleep 1; do touch /run/media/mildred/9016-4EF8/keep-alive; done

(replace the path by whatever the mount point may be)

I also tried quirks (any one in "abilrsw") in usb_storage module but it didn't help. The procedure was:

    modprobe -r usb_storage
    modprobe usb_storage quirks=4255:1000:a (for the quirk "a")
    (restart the device)

Comment 2 Justin M. Forbes 2014-02-24 13:55:45 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2014-03-17 18:45:07 UTC
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Comment 4 Mildred 2014-05-19 19:35:56 UTC
Reopening this. The bug still happens. This is not a Fedora-specific bug, I have the same problem on 3.14.4 currently.

Comment 5 Justin M. Forbes 2014-11-13 15:59:28 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 6 Justin M. Forbes 2014-12-10 14:59:30 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.